iface MIXER
name 'Master Playback Volume'
value.0 21
- value.1 20
+ value.1 21
}
control.2 {
comment.access 'read write'
-127.0.0.1 localhost.localdomain localhost
-127.0.1.1 stk1000.example.net stk1000
+127.0.0.1 localhost.localdomain localhost
+127.0.1.1 stk1000.example.net stk1000
# The following lines are desirable for IPv6 capable hosts
-::1 ip6-localhost ip6-loopback
+::1 localhost
+::1 ip6-localhost ip6-loopback
+::1 stk1000.example.net stk1000
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts
-
-ftp stream tcp nowait root.root /usr/sbin/ftpd ftpd -a
#netbios-ssn stream tcp nowait root.root /usr/sbin/smbd smbd
#netbios-ns dgram udp wait root.root /usr/sbin/nmbd nmbd
-swat stream tcp nowait.400 root.root /usr/sbin/swat swat
+#swat stream tcp nowait.400 root.root /usr/sbin/swat swat
# Exit silently if alsa-utils isn't installed
[ -x ${PROGRAM} ] || exit 0
-echo -n "Saving mixer state:"
-if ${PROGRAM} store > /dev/null 2> /dev/null; then
- echo " done"
+echo -n "Saving mixer state: "
+if ${PROGRAM} store; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
IFDOWN=/sbin/ifdown
-echo -n "Stopping networking:"
+echo -n "Stopping networking: "
if ${IFDOWN} -a; then
- echo " done"
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
-#! /bin/sh
+#!/bin/sh
-echo -n "Setting up mdev:"
+echo -n "Setting up mdev: "
set -e
-trap 'echo " failed"' EXIT
+trap 'echo "failed"' EXIT
/bin/ln -s /proc/self/fd /dev/fd
/bin/ln -s /proc/self/fd/0 /dev/stdin
/bin/ln -s /proc/self/fd/1 /dev/stdout
/bin/echo /sbin/mdev > /proc/sys/kernel/hotplug
/sbin/mdev -s
trap - EXIT
-echo " done"
+echo "done"
PROGRAM=/bin/hostname
-echo -n "Setting hostname:"
+echo -n "Setting hostname: "
[ -x ${PROGRAM} ] || (echo " missing"; exit 0)
if [ -f /etc/hostname ]; then
fi
start() {
- if ${PROGRAM} "${HOST}" > /dev/null 2> /dev/null; then
- echo " '${HOST}'"
+ if ${PROGRAM} "${HOST}"; then
+ echo "'${HOST}'"
else
- echo " failed"
+ echo "failed"
exit 1
fi
}
FBMODEFILE="/etc/fb.modes"
SPLASHFILE="/etc/stk1000bootsplash.jpg"
-echo -n "Bootsplash image:"
+echo -n "Bootsplash image: "
if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ! ${FBSET} 320x240-68 > /dev/null 2> /dev/null; then
- echo " failed"
+if ! ${FBSET} 320x240-68; then
+ echo "failed"
exit 1
fi
-${FBV} ${SPLASHFILE} < /dev/null > /dev/null 2> /dev/null &
+${FBV} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then
- echo " loaded"
- kill `pidof ${FBV}` > /dev/null 2> /dev/null
+ echo "loaded"
else
- echo " failed"
+ echo "failed"
fi
SYSLOGD=/sbin/syslogd
-echo -n "Starting syslogd:"
+echo -n "Starting syslogd: "
if [ ! -x "${SYSLOGD}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ${SYSLOGD} > /dev/null 2> /dev/null; then
- echo " done"
+if ${SYSLOGD}; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
-echo -n "Log messages to syslog:"
-if echo 4 4 1 7 > /proc/sys/kernel/printk 2> /dev/null; then
- echo " done"
+echo -n "Log messages to syslog: "
+if echo 4 4 1 7 > /proc/sys/kernel/printk; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
KLOGD=/sbin/klogd
-echo -n "Starting klogd:"
+echo -n "Starting klogd: "
if [ ! -x "${KLOGD}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ${KLOGD} > /dev/null 2> /dev/null; then
- echo " done"
+if ${KLOGD}; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
MODPROBE=/sbin/modprobe
-echo -n "Probing modules:"
+echo -n "Probing modules: "
if [ ! -x "${MODPROBE}" -o ! -f "/etc/modules" ]; then
- echo " missing"
+ echo "missing"
exit 1
else
echo
grep '^[^#]' "/etc/modules" | \
while read module args; do
[ "$module" ] || continue
- if ${MODPROBE} $module $args > /dev/null 2> /dev/null; then
+ if ${MODPROBE} $module $args; then
echo " $module loaded"
else
echo " $module failed"
MOUNT=/bin/mount
-echo -n "Mounting local filesystems:"
-if ${MOUNT} -a > /dev/null 2> /dev/null; then
- echo " done"
+echo -n "Mounting local filesystems: "
+if ${MOUNT} -a; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
IFUP=/sbin/ifup
-echo -n "Network interfaces:"
-if ${IFUP} -a > /dev/null 2> /dev/null; then
- echo " done"
+echo -n "Network interfaces: "
+if ${IFUP} -a; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
TELNETD=/usr/sbin/telnetd
-echo -n "Starting telnetd:"
+echo -n "Starting telnetd: "
if [ ! -x "${TELNETD}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ${TELNETD} -l /bin/ash > /dev/null 2> /dev/null; then
- echo " done"
+if ${TELNETD} -l /bin/ash; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
INETD=/usr/sbin/inetd
-echo -n "Starting inted:"
+echo -n "Starting inted: "
if [ ! -x "${INETD}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ${INETD} > /dev/null 2> /dev/null; then
- echo " done"
+if ${INETD}; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
HTTPD=/usr/sbin/httpd
-echo -n "Starting httpd:"
+echo -n "Starting httpd: "
if [ ! -x "${HTTPD}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ${HTTPD} -h /www > /dev/null 2> /dev/null; then
- echo " done"
+if ${HTTPD} -h /www; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
if [ -f /etc/default/ntpdate ]; then
. /etc/default/ntpdate
else
- echo " missing /etc/default/ntpdate"
+ echo "WARNING: missing /etc/default/ntpdate"
exit 1
fi
-echo -n "Starting ntpdate:"
+echo -n "Starting ntpdate: "
if [ ! -x ${NTPDATE} ]; then
- echo " missing"
+ echo "missing"
echo -n " WARNING: could not syncronize clock, "
echo "edit NTPSERVERS in /etc/default/ntpdate."
exit 1
fi
-if ${NTPDATE} $NTPOPTIONS $NTPSERVERS > /dev/null 2> /dev/null; then
- echo " done"
+if ${NTPDATE} $NTPOPTIONS $NTPSERVERS; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
echo -n " WARNING: could not syncronize clock, "
echo "edit NTPSERVERS in /etc/default/ntpdate."
exit 1
MOUNT=/bin/mount
-echo -n "Mounting remote filesystems:"
-if ${MOUNT} -t nfs -a > /dev/null 2> /dev/null; then
- echo " done"
+echo -n "Mounting remote filesystems: "
+if ${MOUNT} -t nfs -a; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
# Exit silently if alsa-utils isn't installed
[ -x ${PROGRAM} ] || exit 0
-echo -n "Restoring mixer state:"
+echo -n "Restoring mixer state: "
if [ ! -f /etc/asound.state ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ${PROGRAM} restore > /dev/null 2> /dev/null; then
- echo " done"
+if ${PROGRAM} restore; then
+ echo "done"
else
- echo " failed"
+ echo "failed"
exit 1
fi
PROGRAM=/usr/bin/fbv
SPLASHFILE="/etc/stk1000splash.jpg"
-echo -n "Splash image:"
+echo -n "Splash image: "
if [ ! -x "${PROGRAM}" -o ! -f "${SPLASHFILE}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-${PROGRAM} ${SPLASHFILE} < /dev/null > /dev/null 2>/dev/null &
+${PROGRAM} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then
- echo " loaded"
- kill `pidof ${PROGRAM}` > /dev/null 2> /dev/null
+ echo "loaded"
else
- echo " failed"
+ echo "failed"
fi
-root:$1$rsjkLsTU$zdulfnYQgyKmN3e0Fiw7C1:0:0:root:/:/bin/ash
+root:$1$rsjkLsTU$zdulfnYQgyKmN3e0Fiw7C1:0:0:root:/:/bin/sh
daemon:x:1:1:daemon:/usr/sbin:/bin/sh
bin:x:2:2:bin:/bin:/bin/sh
sys:x:3:3:sys:/dev:/bin/sh